diff -pruN 1.10-17/debian/changelog 1.10-17ubuntu1/debian/changelog
--- 1.10-17/debian/changelog	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/changelog	2018-04-10 04:41:39.000000000 +0000
@@ -1,15 +1,45 @@
+clamsmtp (1.10-17ubuntu1) bionic; urgency=low
+
+  * Merge from Debian Sid. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Apr 2018 21:41:32 -0500
+
 clamsmtp (1.10-17) unstable; urgency=medium
 
   * Fix RuntimeDirectory entry in service file. (Closes: #894383)
 
  -- Michael Meskes <meskes@debian.org>  Tue, 03 Apr 2018 20:52:55 +0200
 
+clamsmtp (1.10-16ubuntu1) bionic; urgency=low
+
+  * Merge from Debian Sid. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Mar 2018 19:55:59 -0600
+
 clamsmtp (1.10-16) unstable; urgency=medium
 
   * Re-added After line to services file after somehow losing it.
 
  -- Michael Meskes <meskes@debian.org>  Tue, 27 Feb 2018 16:19:20 +0100
 
+clamsmtp (1.10-15ubuntu1) bionic; urgency=low
+
+  * Merge from Debian Sid. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 19 Feb 2018 22:11:56 -0600
+
 clamsmtp (1.10-15) unstable; urgency=medium
 
   * Added patch to handle lines with leading dots correctly.
@@ -21,6 +51,16 @@ clamsmtp (1.10-15) unstable; urgency=med
 
  -- Michael Meskes <meskes@debian.org>  Mon, 19 Feb 2018 18:33:28 +0100
 
+clamsmtp (1.10-14ubuntu1) bionic; urgency=low
+
+  * Merge from Debian Sid. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 27 Jan 2018 18:28:26 -0600
+
 clamsmtp (1.10-14) unstable; urgency=medium
 
   * Change order of some include files to make package compile again.
@@ -31,6 +71,16 @@ clamsmtp (1.10-14) unstable; urgency=med
 
  -- Michael Meskes <meskes@debian.org>  Tue, 04 Jul 2017 13:26:19 +0200
 
+clamsmtp (1.10-13ubuntu1) vivid; urgency=medium
+
+  * Merge from Debian unstable. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Logan Rosen <logan@ubuntu.com>  Wed, 04 Mar 2015 20:34:02 +0000
+
 clamsmtp (1.10-13) unstable; urgency=high
 
   * Fixed order of includes to prevent the compiler from assuming wrong types.
@@ -38,6 +88,16 @@ clamsmtp (1.10-13) unstable; urgency=hig
 
  -- Michael Meskes <meskes@debian.org>  Sun, 01 Mar 2015 20:55:23 +0100
 
+clamsmtp (1.10-12ubuntu1) utopic; urgency=medium
+
+  * Merge from Debian unstable. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Logan Rosen <logan@ubuntu.com>  Mon, 18 Aug 2014 02:03:55 -0400
+
 clamsmtp (1.10-12) unstable; urgency=medium
 
   * Use dh-autoreconf in build to support new architectures.
@@ -51,6 +111,22 @@ clamsmtp (1.10-12) unstable; urgency=med
 
  -- Michael Meskes <meskes@debian.org>  Sun, 06 Jul 2014 12:08:03 +0200
 
+clamsmtp (1.10-11ubuntu2) saucy; urgency=low
+
+  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.
+
+ -- Logan Rosen <logan@ubuntu.com>  Tue, 15 Oct 2013 23:51:25 -0400
+
+clamsmtp (1.10-11ubuntu1) raring; urgency=low
+
+  * Merge from Debian unstable. Remaining changes:
+    - In postinst:
+      + Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir.
+      + Change /var/spool permissions after creating user.
+      + Make adduser --quiet so postinst only does exit 2 for real errors.
+
+ -- Logan Rosen <logan@ubuntu.com>  Thu, 06 Dec 2012 22:50:20 -0500
+
 clamsmtp (1.10-11) unstable; urgency=low
 
   * Added Italian debconf translation (Closes: #691355)
@@ -58,6 +134,16 @@ clamsmtp (1.10-11) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2012 13:16:30 +0100
 
+clamsmtp (1.10-10ubuntu1) quantal; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+
+ -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Jun 2012 02:12:31 -0400
+
 clamsmtp (1.10-10) unstable; urgency=low
 
   * Added Danish debconf translation. (Closes: #671782)
@@ -65,12 +151,32 @@ clamsmtp (1.10-10) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Mon, 14 May 2012 13:42:23 +0200
 
+clamsmtp (1.10-9ubuntu1) precise; urgency=low
+
+  * Merge from Debian Unstable.  Remaining changes:
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+
+ -- Scott Kitterman <scott@kitterman.com>  Wed, 14 Mar 2012 23:37:15 -0400
+
 clamsmtp (1.10-9) unstable; urgency=low
 
   * Status should report the correct package name.
 
  -- Michael Meskes <meskes@debian.org>  Tue, 06 Mar 2012 12:17:49 +0100
 
+clamsmtp (1.10-8ubuntu1) precise; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+
+ -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Mar 2012 14:38:20 -0500
+
 clamsmtp (1.10-8) unstable; urgency=low
 
   * Updated Dutch debconf translation (Closes: #658464)
@@ -80,6 +186,16 @@ clamsmtp (1.10-8) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Sun, 04 Mar 2012 15:44:04 +0100
 
+clamsmtp (1.10-7ubuntu1) natty; urgency=low
+
+  * Merge from debian unstable.  Remaining changes:
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+
+ -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Oct 2010 19:35:25 -0400
+
 clamsmtp (1.10-7) unstable; urgency=low
 
   * Updated Portuguese debconf translation (Closes: #597351)
@@ -87,6 +203,16 @@ clamsmtp (1.10-7) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Sun, 10 Oct 2010 13:32:59 +0200
 
+clamsmtp (1.10-6ubuntu1) lucid; urgency=low
+
+  * Merge from Debian Unstable.  Remaining Ubuntu changes:
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+
+ -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Apr 2010 15:43:02 -0400
+
 clamsmtp (1.10-6) unstable; urgency=low
 
   * Added Spanish debconf translation. (Closes: #576263)
@@ -110,6 +236,17 @@ clamsmtp (1.10-4) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Wed, 13 Jan 2010 15:00:50 +0100
 
+clamsmtp (1.10-3ubuntu1) lucid; urgency=low
+
+  * Merge from Debian Unstable.  Remaining Ubuntu changes:
+    - Add Homepage: to debian/control
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+
+ -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 18:33:53 -0500
+
 clamsmtp (1.10-3) unstable; urgency=low
 
   * Updated Japanese debconf translation. (Closes: #557898, #559885)
@@ -137,6 +274,24 @@ clamsmtp (1.10-2) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Tue, 24 Nov 2009 12:38:20 +0100
 
+clamsmtp (1.10-1ubuntu1) jaunty; urgency=low
+
+  * Merge from debian unstable, remaining changes:
+    - Add debian/README.source
+    - Add Homepage: to debian/control
+    - Update debian/copyright based on author using a different name and
+      correct omission of different license/copyright in common/compat.c
+    - Point debian/watch at new web site location
+    - In postinst:
+      - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir
+      - Change /var/spool permissions after creating user
+      - Make adduser --quiet so postinst only does exit 2 for real errors
+      - Stop postinst from bailing out when which newaliases doesn't return
+        anything
+    - Change ScanHeader option in debian/clamsmtpd.conf to Header
+
+ -- Scott Kitterman <scott@kitterman.com>  Sun, 07 Dec 2008 16:04:08 -0500
+
 clamsmtp (1.10-1) unstable; urgency=low
 
   * New Upstream Version
@@ -146,6 +301,27 @@ clamsmtp (1.10-1) unstable; urgency=low
 
  -- Michael Meskes <meskes@debian.org>  Sun, 30 Nov 2008 13:48:21 +0100
 
+clamsmtp (1.10-0ubuntu1) intrepid; urgency=low
+
+  * New upstream release
+  * Incorporate LSB dependency header for init script from Debian's
+    1.8-5.3
+  * Update to standards version 3.8.0
+    - Add debian/README.source
+    - Add Homepage: to debian/control
+
+ -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Aug 2008 22:02:23 -0400
+
+clamsmtp (1.9-0ubuntu1) hardy; urgency=low
+
+  * New upstream release
+  * Update debian/copyright based on author using a different name and
+    correct omission of different license/copyright in common/compat.c
+  * Bump standards version to 3.7.3 without further change
+  * Point debian/watch at new web site location
+
+ -- Scott Kitterman <scott@kitterman.com>  Wed, 30 Jan 2008 12:36:01 -0500
+
 clamsmtp (1.8-6) unstable; urgency=low
 
   * Took over as maintainer with approval of the current maintainer.
@@ -163,6 +339,31 @@ clamsmtp (1.8-5.3) unstable; urgency=low
 
  -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 17:17:04 +0100
 
+clamsmtp (1.8-5.2ubuntu3) gutsy; urgency=low
+
+  * In postinst (LP: #108303):
+    - Ensure /var/spool/clamsmtp exists before setting clamsmtp home dir 
+    - Change /var/spool permissions after creating user
+    - Make adduser --quiet so postinst only does exit 2 for real errors 
+
+ -- Scott Kitterman <scott@kitterman.com>  Thu, 28 Jun 2007 09:26:19 -0400
+
+clamsmtp (1.8-5.2ubuntu2) gutsy; urgency=low
+
+  * Stop postinst from bailing out when which newaliases doesn't return 
+    anything (LP: #108303)
+
+ -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Jun 2007 16:22:45 -0400
+
+clamsmtp (1.8-5.2ubuntu1) gutsy; urgency=low
+
+  * Merge from Debian unstable. Remaining Ubuntu changes:
+    - Change ScanHeader option in debian/clamsmtpd.conf to Header
+    - Change init script to create directory for PID file.
+    - Change maintainer to MOTU
+
+ -- Scott Kitterman <scott@kitterman.com>  Mon, 21 May 2007 10:58:18 -0400
+
 clamsmtp (1.8-5.2) unstable; urgency=high
 
   * Non-maintainer upload during BSP.
@@ -179,6 +380,16 @@ clamsmtp (1.8-5.1) unstable; urgency=low
 
  -- Martin Zobel-Helas <zobel@ftbfs.de>  Thu, 17 May 2007 13:47:28 +0200
 
+clamsmtp (1.8-5ubuntu1) feisty; urgency=low
+
+  * Change ScanHeader option in debian/clamsmtpd.conf to Header
+    - LP: #102391
+  * Change init script to create directory for PID file.
+    - LP: #102470
+  * Change maintainer to MOTU
+
+ -- Scott Kitterman <scott@kitterman.com>  Wed,  4 Apr 2007 03:44:26 +0000
+
 clamsmtp (1.8-5) unstable; urgency=low
 
   * debian/postinst: A few logic errors found and fixed.  Moved checks to add
diff -pruN 1.10-17/debian/control 1.10-17ubuntu1/debian/control
--- 1.10-17/debian/control	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/control	2018-04-10 04:41:39.000000000 +0000
@@ -1,7 +1,8 @@
 Source: clamsmtp
 Section: mail
 Priority: optional
-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 11), quilt (>= 0.46-7)
 Standards-Version: 4.1.3
diff -pruN 1.10-17/debian/po/ca.po 1.10-17ubuntu1/debian/po/ca.po
--- 1.10-17/debian/po/ca.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/ca.po	2018-04-10 04:41:39.000000000 +0000
@@ -63,12 +63,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -108,6 +102,21 @@ msgstr ""
 "El directori de gestió de cues pot contenir virus en quarantena que es poden "
 "esborrar automàticament quan elimineu el paquet."
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"L'script de post-instal·lació pot arreglar els permisos i el propietari "
+"d'aquests dos directoris. Es consultaran els fitxers /etc/clamsmtpd.conf i /"
+"etc/default/clamsmtp per a comprovar les variables «TempDirectory», "
+"«PidFile», «User», i «Group», i aleshores s'actualitzaran els dos directoris "
+"com correspongui."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/cs.po 1.10-17ubuntu1/debian/po/cs.po
--- 1.10-17/debian/po/cs.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/cs.po	2018-04-10 04:41:39.000000000 +0000
@@ -68,12 +68,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -111,6 +105,20 @@ msgstr ""
 "Virový spool adresář může obsahovat viry v karanténě, které je možno při "
 "odstranění balíku ze systému smazat."
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Poinstalační skript může opravit práva a vlastnictví těchto dvou adresářů. "
+"Skript se podívá do souborů /etc/clamsmtpd.conf a /etc/default/clamsmtp, "
+"odkud zjistí hodnoty proměnných TempDirectory, PidFile, User a Group a poté "
+"příslušně upraví oba adresáře."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/da.po 1.10-17ubuntu1/debian/po/da.po
--- 1.10-17/debian/po/da.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/da.po	2018-04-10 04:41:39.000000000 +0000
@@ -62,12 +62,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -104,3 +98,17 @@ msgid ""
 msgstr ""
 "Puljemappen for vira kan indeholde karantæneramte vira, som kan fjernes "
 "automatisk når pakken afinstalleres."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Skriptet, der køres efter installation, kan rette rettighederne og ejerskab "
+"for disse to mapper. Skriptet vil konsultere filerne /etc/clamsmtpd.conf og /"
+"etc/default/ for de administrativt tildelte variabler TempDirectory, "
+"PidFile, User og Group, og så opdatere de to mapper tilsvarende."
diff -pruN 1.10-17/debian/po/de.po 1.10-17ubuntu1/debian/po/de.po
--- 1.10-17/debian/po/de.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/de.po	2018-04-10 04:41:39.000000000 +0000
@@ -97,3 +97,18 @@ msgid ""
 msgstr ""
 "Das Virus-Spool-Verzeichnis könnte Viren in Quarantäne enthalten. Diese "
 "können beim vollständigen Löschen des Paketes automatisch entfernt werden."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Das Post-Installations-Skript kann die Rechte und Eigentümer dieser zwei "
+"Verzeichnisse korrigieren. Es wird die administrativ zugewiesenen Variablen "
+"TempDirectory, PidFile, Benutzer und Gruppe aus den Dateien /etc/clamsmtpd."
+"conf und /etc/default/clamsmtp entnehmen und dann die zwei Verzeichnisse "
+"entsprechend aktualisieren."
diff -pruN 1.10-17/debian/po/es.po 1.10-17ubuntu1/debian/po/es.po
--- 1.10-17/debian/po/es.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/es.po	2018-04-10 04:41:39.000000000 +0000
@@ -85,12 +85,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -128,3 +122,18 @@ msgid ""
 msgstr ""
 "El directorio de la cola de virus puede contener virus en cuarentena que se "
 "pueden eliminar automáticamente al purgar el paquete."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"El script de post-instalación puede arreglar los permisos y el propietario "
+"de estos dos directorios. Consultará los ficheros «/etc/clamsmtpd.conf» y «/"
+"etc/default/clamsmtp» en busca de las variables «TempDirectory», «PidFile», "
+"«User» y «Group», designadas por el administrador, para después actualizar "
+"ambos directorios apropiadamente."
diff -pruN 1.10-17/debian/po/fr.po 1.10-17ubuntu1/debian/po/fr.po
--- 1.10-17/debian/po/fr.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/fr.po	2018-04-10 04:41:39.000000000 +0000
@@ -64,12 +64,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -110,6 +104,21 @@ msgstr ""
 "Le répertoire de cache pourrait contenir des virus en quarantaine. Veuillez "
 "choisir si ces fichiers doivent être supprimés lorsque le paquet est purgé."
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Veuillez confirmer si le script de post-installation doit vérifier et "
+"corriger les autorisations et le propriétaire de ces deux répertoires. Les "
+"fichiers /etc/clamsmtpd.conf et /etc/default/clamsmtp seront consultés afin "
+"d'utiliser les variables administratives « TempDirectory », « PidFile », "
+"« User » et « Group » puis les deux répertoires seront corrigés."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/gl.po 1.10-17ubuntu1/debian/po/gl.po
--- 1.10-17/debian/po/gl.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/gl.po	2018-04-10 04:41:39.000000000 +0000
@@ -63,12 +63,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -104,6 +98,20 @@ msgstr ""
 "O directorio de fila de virus pode conter virus en corentena que se poden "
 "eliminar automaticamente cando se purga o paquete."
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"O script de post-instalación pode corrixir os permisos e propriedade destes "
+"dous directorios. Ha consultar os ficheiros /etc/clamsmtpd.conf e /etc/"
+"default/clamsmtp na busca das variábeis TempDirectory, PidFile, User e Group "
+"e actualizar os dous directorios do xeito apropriado."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/it.po 1.10-17ubuntu1/debian/po/it.po
--- 1.10-17/debian/po/it.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/it.po	2018-04-10 04:41:39.000000000 +0000
@@ -63,12 +63,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -106,3 +100,17 @@ msgstr ""
 "La directory di spool dei virus può contenere virus in quarantena che "
 "possono essere rimossi automaticamente quando viene eliminato completamente "
 "il pacchetto."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Lo script di post-installazione può correggere i permessi e la proprietà di "
+"queste due directory. Consulterà i file /etc/clamsmtpd.conf e /etc/default/ "
+"di clamsmtp per le variabili TempDirectory, PidFile, User e Group assegnate "
+"dall'amministratore e poi aggiornerà le due directory in modo appropriato."
diff -pruN 1.10-17/debian/po/ja.po 1.10-17ubuntu1/debian/po/ja.po
--- 1.10-17/debian/po/ja.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/ja.po	2018-04-10 04:41:39.000000000 +0000
@@ -69,12 +69,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -111,3 +105,17 @@ msgid ""
 msgstr ""
 "隔離されたウィルスが含まれているかもしれないウィルススプールディレクトリは、"
 "パッケージを完全削除 (purge) する際に自動的に削除できます。"
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"post-installation スクリプトによって、これら 2 つのディレクトリの権限と所有者"
+"を修正できます。/etc/clamsmtpd.conf で TempDirectory 変数、PidFile 変数、"
+"User 変数、Group 変数が管理のために割り当てられるので、2 つのディレクトリを適"
+"切に更新してください。"
diff -pruN 1.10-17/debian/po/nl.po 1.10-17ubuntu1/debian/po/nl.po
--- 1.10-17/debian/po/nl.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/nl.po	2018-04-10 04:41:39.000000000 +0000
@@ -64,12 +64,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -107,3 +101,18 @@ msgid ""
 msgstr ""
 "De virus-spoolmap kan virussen in quarantaine bevatten die automatisch "
 "worden verwijderd bij het wissen ('purge') van het pakket."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Het post-installatiescript kan de de rechten en de eigenaar van deze twee "
+"mappen aanpassen. De bestanden /etc/clamsmtpd.conf en /etc/default/clamsmtp "
+"worden nagekeken om de door de beheerder bepaalde TempDirectory, PidFile, "
+"User, en Group variabelen te bepalen; de twee mappen worden overeenkomstig "
+"bijgewerkt."
diff -pruN 1.10-17/debian/po/pt_BR.po 1.10-17ubuntu1/debian/po/pt_BR.po
--- 1.10-17/debian/po/pt_BR.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/pt_BR.po	2018-04-10 04:41:39.000000000 +0000
@@ -34,13 +34,6 @@ msgstr "Adicionar usuário e grupo de si
 #. Description
 #: ../templates:1001
 #, fuzzy
-#| msgid ""
-#| "New installations of clamsmtp install with a system user and group of "
-#| "\"clamsmtp\".  The \"clamav\" user is added to the clamsmtp group to "
-#| "allow the clamav-daemon process to view the quarantine directory.  If you "
-#| "answer \"yes\" to this question, the installation process will also "
-#| "update the ownership and permissions of the quarantine and run "
-#| "directories."
 msgid ""
 "New installations of clamsmtp install with a system user and group of "
 "\"clamsmtp\".  The \"clamav\" user is added to the clamsmtp group to allow "
@@ -78,12 +71,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "Would you like the post-installation script to fix the permissions and "
-#| "ownership of these two directories?  It will consult the /etc/clamsmtpd."
-#| "conf and /etc/default/clamsmtp files for the administratively assigned "
-#| "TempDirectory, PidFile, User, and Group variables, and then update the "
-#| "two directories appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -114,10 +101,6 @@ msgstr "Remover diretório de spool com
 #. Description
 #: ../templates:3001
 #, fuzzy
-#| msgid ""
-#| "The virus spool directory may contain quarantined viruses.  Do you want "
-#| "these files to be removed when you specify the '--purge' option to dpkg "
-#| "or apt?"
 msgid ""
 "The virus spool directory may contain quarantined viruses that can be "
 "removed automatically when purging the package."
@@ -126,6 +109,22 @@ msgstr ""
 "que esses arquivos sejam removidos quando você especificar a opção '--purge' "
 "para o dpkg ou para o apt ?"
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+#, fuzzy
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Você gostaria que o script de pós-instalação corrigisse as permissões e o "
+"dono desses dois diretórios ? O script irá consultar os arquivos /etc/"
+"clamsmtpd.conf e /etc/default/clamsmtp em busca das variáveis "
+"administrativamente atribuídas TemDirectory, PidFile, User e Group e então "
+"atualizar ambos os diretórios apropriadamente."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/pt.po 1.10-17ubuntu1/debian/po/pt.po
--- 1.10-17/debian/po/pt.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/pt.po	2018-04-10 04:41:39.000000000 +0000
@@ -62,12 +62,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -106,6 +100,21 @@ msgstr ""
 "O directório de spool de vírus pode conter vírus em quarentena que podem ser "
 "removidos automaticamente na operação de purge ao pacote."
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"O script pós-instalação pode corrigir as permissões e a propriedade destes "
+"dois directórios. Irá consultar os ficheiros /etc/clamsmtpd.conf e /etc/"
+"default/clamsmtp para obter as variáveis atribuídas administrativamente "
+"TempDirectory, PidFile, User e Group, e actualizará apropriadamente os dois "
+"directórios."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/ru.po 1.10-17ubuntu1/debian/po/ru.po
--- 1.10-17/debian/po/ru.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/ru.po	2018-04-10 04:41:39.000000000 +0000
@@ -72,12 +72,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -114,3 +108,17 @@ msgid ""
 msgstr ""
 "В каталоге хранения вирусов могут содержаться файлы с вирусами в карантине, "
 "которые могут быть автоматически удалены при вычистке пакета."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Послеустановочный сценарий может исправить права доступа и владельца двух "
+"этих каталогов. Он прочитает файлы /etc/clamsmtpd.conf и /etc/default/"
+"clamsmtp и, в соответствии с указанными там переменными TempDirectory, "
+"PidFile, User и Group, обновит два этих каталога."
diff -pruN 1.10-17/debian/po/sv.po 1.10-17ubuntu1/debian/po/sv.po
--- 1.10-17/debian/po/sv.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/sv.po	2018-04-10 04:41:39.000000000 +0000
@@ -65,12 +65,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -109,6 +103,21 @@ msgstr ""
 "Spool-mappen för virus kan innehålla virus i karantän som kan tas bort "
 "automatiskt när paketet tas bort."
 
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Skriptet som körs efter installationen kan sätta rättigheterna och "
+"ägarskapet för dessa två mappar. I filerna /etc/clamsmtpd.conf och /etc/"
+"default/clamsmtp läser skriptet de administrativt tilldelade variablerna "
+"TempDirectory, PidFile, User, och Group för att sedan uppdatera de två "
+"mapparna."
+
 #~ msgid ""
 #~ "Warning! Use this option at your own risk, and be sure to check directory "
 #~ "permissions after running the 'start' or 'restart' commands for the init "
diff -pruN 1.10-17/debian/po/templates.pot 1.10-17ubuntu1/debian/po/templates.pot
--- 1.10-17/debian/po/templates.pot	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/templates.pot	2018-04-10 04:41:39.000000000 +0000
@@ -80,3 +80,13 @@ msgid ""
 "The virus spool directory may contain quarantined viruses that can be "
 "removed automatically when purging the package."
 msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
diff -pruN 1.10-17/debian/po/vi.po 1.10-17ubuntu1/debian/po/vi.po
--- 1.10-17/debian/po/vi.po	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/po/vi.po	2018-04-10 04:41:39.000000000 +0000
@@ -61,12 +61,6 @@ msgstr ""
 #. Description
 #: ../templates:2001
 #, fuzzy
-#| msgid ""
-#| "The post-installation script can fix the permissions and ownership of "
-#| "these two directories.  It will consult the /etc/clamsmtpd.conf and /etc/"
-#| "default/clamsmtp files for the administratively assigned TempDirectory, "
-#| "PidFile, User, and Group variables, and then update the two directories "
-#| "appropriately."
 msgid ""
 "The post-installation script can fix the permissions and ownership of these "
 "two directories.  It will consult the /etc/clamsmtpd.conf file for the "
@@ -104,3 +98,18 @@ msgid ""
 msgstr ""
 "Thư mục ống chỉ vi-rút có thể chứa vi-rút được kiểm dịch mà cũng gỡ bỏ được "
 "khi tẩy gói phần mềm."
+
+#. Type: boolean
+#. Description
+#: ../templates:2001
+msgid ""
+"The post-installation script can fix the permissions and ownership of these "
+"two directories.  It will consult the /etc/clamsmtpd.conf and /etc/default/"
+"clamsmtp files for the administratively assigned TempDirectory, PidFile, "
+"User, and Group variables, and then update the two directories appropriately."
+msgstr ""
+"Văn lệnh cuối cùng cài đặt có khả năng sửa chữa quyền hạn và quyền sơ hữu "
+"của hai thư mục này. Nó sẽ quét hai tập tin « /etc/clamsmtpd.conf » và « /"
+"etc/default/clamsmtp » tìm các biến « TempDirectory » (thư mục tạm thời), « "
+"PidFile » (tập tin PID), « User » (người dùng), và « Group » (nhóm), sau đó "
+"cập nhật thích hợp hai thư mục đó."
diff -pruN 1.10-17/debian/postinst 1.10-17ubuntu1/debian/postinst
--- 1.10-17/debian/postinst	2018-04-10 04:41:38.000000000 +0000
+++ 1.10-17ubuntu1/debian/postinst	2018-04-10 04:41:39.000000000 +0000
@@ -66,6 +66,11 @@ install_dirs() {
 	fixperms
     fi
 
+    # Build the run directory if it doesn't exist
+    if [ ! -d ${RUNDIR} ] ; then
+        install -o ${CUSER} -g ${CGROUP} -m 755 -d ${RUNDIR} || return 2
+    fi
+
     return 0
 }
 
@@ -76,7 +81,12 @@ add_user_group() {
         return 1
     fi
 
-    adduser --system --group \
+    # Build the spool directory if it doesn't exist.
+    if [ ! -d ${SPOOLDIR} ] ; then
+        install -m 750 -d ${SPOOLDIR} || return 1
+    fi
+
+    adduser --system --group --no-create-home --quiet \
         --disabled-login --disabled-password \
         --shell /bin/false --home ${SPOOLDIR} ${CUSER} || return 2
 
